Summary:	Bauer stereophonic-to-binaural DSP library
Name:		libbs2b
Version:	3.1.0
Release:	4%{?dist}
License:	MIT
URL:		http://bs2b.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/bs2b/libbs2b/%{version}/%{name}-%{version}.tar.lzma
Patch3000:	libbs2b-security.patch

BuildRequires:  make gcc-c++ autoconf automake libtool
BuildRequires:	libsndfile-devel

%description
The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is designed
to improve headphone listening of stereo audio records. 


%package devel
Summary:	Development files for libbs2b
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains the development files for %{name}.


%prep
%autosetup -p1

sed -i -e 's/lzma/xz/g' configure.ac
autoreconf -vif


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{make_build}


%install
%{make_install}
rm %{buildroot}/%{_libdir}/%{name}.la


%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_libdir}/%{name}.so.*


%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*


%changelog
* Mon Nov 13 2023 cunshunxia@tencent.com - 3.1.0-4
- Rebuilt for libsndfile 1.2.0-4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 rockerzhu <rockerzhu@tencent.com> - 3.1.0-1
- Initial build
